summaryrefslogtreecommitdiffstats
path: root/source/x/scim-input-pad/scim-input-pad.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/scim-input-pad/scim-input-pad.SlackBuild')
-rwxr-xr-xsource/x/scim-input-pad/scim-input-pad.SlackBuild21
1 files changed, 16 insertions, 5 deletions
diff --git a/source/x/scim-input-pad/scim-input-pad.SlackBuild b/source/x/scim-input-pad/scim-input-pad.SlackBuild
index 3f4b82d33..ee00b7ec4 100755
--- a/source/x/scim-input-pad/scim-input-pad.SlackBuild
+++ b/source/x/scim-input-pad/scim-input-pad.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2009 Eric Hameleers, Eindhoven, NL
-# Copyright 2009, 2012 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2009, 2012, 2018 Patrick J. Volkerding, Sebeka, MN USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -23,10 +23,11 @@
# SUCH DAMAGE.
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=scim-input-pad
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -39,6 +40,14 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -58,7 +67,6 @@ elif [ "$ARCH" = "armel" ]; then
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
rm -rf $PKG
@@ -86,11 +94,14 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-static \
--program-prefix= \
--program-suffix= \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make DESTDIR=$PKG install || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Fix location of scim-helper-launcher:
sed -i -e "s#/usr/lib${LIBDIRSUFFIX}/scim-.*/scim-helper-launcher#$(ls /usr/lib${LIBDIRSUFFIX}/scim-*/scim-helper-launcher)#" $PKG/usr/bin/scim-input-pad